OpenStack Compute (Nova)

create key pair gets a name which is longer than 256

Reported by Nachi Ueno on 2011-12-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Philip Knouff

Bug Description

Create key pair gets a name which is longer than 256.
This should be raise 400 Bad Request

API POST /v1.1//{tenantId}/os-keypairs

 {"keypair": {"public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAAAgQDo06SfqkK/MVJGfd8R9DHJOKwLFkD8l3P7VOJOUCgPyWZV2r0nVESJbPx/m8LvWofpv7ZTF6CqBDNqsmhpDamVFSxExKOfWaC/KrZRpa9PEbe2KYxO3boNZXPpz1otj6IYILJVkuAd5uz7CsUHulPOo6Go9+7uICnl9XJf/LAixw== openstack@ubuntu\n", "private_key": "-----BEGIN RSA PRIVATE KEY-----\nMIICXAIBAAKBgQDo06SfqkK/MVJGfd8R9DHJOKwLFkD8l3P7VOJOUCgPyWZV2r0n\nVESJbPx/m8LvWofpv7ZTF6CqBDNqsmhpDamVFSxExKOfWaC/KrZRpa9PEbe2KYxO\n3boNZXPpz1otj6IYILJVkuAd5uz7CsUHulPOo6Go9+7uICnl9XJf/LAixwIDAQAB\nAoGAaBg/8RbZcsvlYhjixA8uty18VhSkB4rbUxJXf/X8g1pjQ51hlpTpc5vjpFYK\nqKMMQyjwpmPY9EqehmSvo9B08ZUj8mzxCLRm1uGMcK+LBbLTFcPCODRzVMcimmoH\nxtPDBllUKeWdV2SwJeYirzU2e/H079fskvaIF/LtfXnZFukCQQD+CGUcpwGX21l9\nDPaghtAq7aVn2zfVQNSep+EZ0hfVO+tWjNOpQXCOy1f43ah9CXkINWeECqokHI6z\n7O1KzqNrAkEA6qE1VMx4YqgJ6UnBGi6FpdLXROcX1L8SQpzyMEZQkQOCFb4Rvc1b\nu4s8HJ5u8MZ3iZMMnPXPbLSLIq9Wg+/xFQJBAPATHvulGWxacIgt6CZtQe5QCTHN\ni0aOrmICZknws3Vh21dAYAhlP+qzYcBgOwtwGGIZlmrDaWgXVQXVs6wu/WECQEHn\nFfvDkuzjFiWYucyI1LFHD4AjCOaQ5KghPUWh+m9A9QD2ajVNwT5kVXYUakTm+hyC\nWUCdKq316D7N0RcuBiECQHT0fpQ+8+bRIBBdtn3P+hXjoBM/Q2uEjaKBE3tizjPB\nWlkjhF8+tloXRTgJbO1rJ2uNDFPmIDlTHKoorydkQrQ=\n-----END RSA PRIVATE KEY-----\n", "user_id": "admin", "name": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa", "fingerprint": "ad:73:49:17:35:98:61:b0:eb:8a:68:a6:03:8e:93:2a"}}

Thierry Carrez (ttx) on 2011-12-21
Changed in nova:
importance: Undecided → Medium
status: New → Confirmed
Changed in nova:
assignee: nobody → Philip Knouff (philip-knouff)
status: Confirmed → In Progress
Brian Waldon (bcwaldon) on 2012-01-26
Changed in nova:
milestone: none → essex-4

Reviewed: https://review.openstack.org/3471
Committed: http://github.com/openstack/nova/commit/845c5a621d8b9a1f5946894343aa1029806c4d52
Submitter: Jenkins
Branch: master

commit 845c5a621d8b9a1f5946894343aa1029806c4d52
Author: Philip Knouff <email address hidden>
Date: Thu Jan 26 12:32:58 2012 -0500

    Added validation of name when creating a new keypair

    fixes bug 900925
    fixes bug 900927

    Change-Id: Icef75af7dca299c566c366f41a71cdc49fa1af65

Changed in nova:
status: In Progress → Fix Committed
Brian Waldon (bcwaldon) on 2012-01-29
no longer affects: openstack-qa
Thierry Carrez (ttx) on 2012-02-29
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-4 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers